%global bumpver 1

Name:           rare
Version:        1.11.3
Release:        %{bumpver}

Summary:        Open source alternative for Epic Games Launcher, using Legendary
License:        GPL-3.0-only
URL:            https://github.com/RareDevs/Rare

Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  pkgconfig(python)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

Requires:       python3dist(pypresence)
Requires:       python3dist(requests)
Requires:       python3dist(pillow)
Requires:       python3dist(qtawesome)
Requires:       python3dist(psutil)
Requires:       python3dist(typing-extensions)
Requires:       python3dist(vdf)
Requires:       pyside6
Requires:       legendary

%description
%{summary}.

%prep
%autosetup -n %{oname}-%{version} -p1
# workaround
sed -i '/PySide6-Essentials >= 6\.8\.1/d' pyproject.toml

%build
%py_build

%install
%py_install

install -Dm644 "rare/resources/images/Rare.png" "%{buildroot}/usr/share/pixmaps/rare.png"
install -Dm644 "misc/rare.desktop" "%{buildroot}/usr/share/applications/rare.desktop"

%files
%{_bindir}/rare
%{python_sitelib}/Rare-%{version}.0.dist-info/
%{python_sitelib}/%{name}
%{_datadir}/applications/rare.desktop
%{_datadir}/pixmaps/rare.png

%changelog
%autochangelog